GoPxL SDK

- Home
- Files
- Namespace

Public Member Functions | Protected Member Functions | Friends
GoPxLSdk::GoGdpSurfaceBase Class Reference
Inheritance diagram for GoPxLSdk::GoGdpSurfaceBase:

## Public Member Functions
void | Deserialize (kSerializer serializer) override
| Deserialize surface base message. More...
const k32f | Exposure () const
| Get surface exposure(ns). More...
| GoGdpSurfaceBase (MessageType type)
| Constructs GoGdpSurfaceBase which forms the base class of the uniform surface and surface point cloud messages. More...
const k32u | IntensityLength () const
| Get surface intensity length (rows). More...
const k32u | IntensityWidth () const
| Get surface intensity width (columns). More...
const k32u | Length () const
| Get surface length (rows). More...
const kPoint3d64f | Offset () const
| Get surface offset point. More...
const kPoint3d64f | Resolution () const
| Get surface scale point. More...
const k32u | SurfaceId () const
| Get surface id value which is changed whenever surface data is changed. More...
const k32u | Width () const
| Get surface width (columns). More...
Public Member Functions inherited from GoPxLSdk::GoGdpMsg
const k32u | ArrayedCount () const
| Get the count of messages in the array. More...
const k32u | ArrayedIndex () const
| Get the index of this message in the array. More...
const GoGdpBoundingBox & | BoundingBox () const
| Get bounding box. More...
const k64u | DataSetId () const
| Get the data set identifier. More...
const std::string & | DataSourceId () const
| Get the data source Id. More...
const k16u | GdpId () const
| Get the gdpId. More...
| GoGdpMsg (MessageType type=MessageType::NULL_TYPE)
| Constructs GoGdpMsg. More...
const bool | HasBoundingBox () const
| Get indicator if a bounding box exists or not. More...
const bool | HasTransform () const
| Get indicator if a transform (returned by Transform() API) exists for ths message. More...
const bool | IsLastMsg () const
| Get whether this messages is the last one within its current set. More...
const k8u | SpaceType () const
| Get space type value. More...
const std::string & | StampSourceId () const
| Get the stamp source Id. More...
const GoGdpTransform & | Transform () const
| Get pointer to the transformation matrix values. More...
const MessageType | Type () const
| Get concrete message type. More...
virtual | ~GoGdpMsg ()=default

## Protected Member Functions
| ~GoGdpSurfaceBase ()=default

## Friends
class | ::GoGdpMsgTests

## Additional Inherited Members
Protected Attributes inherited from GoPxLSdk::GoGdpMsg
CommonAttributes | attributes
MessageType | msgType

The documentation for this class was generated from the following file:

- GoGdpMsg/GoGdpSurfaceBase.h